分类
docker

linux下docker的安装

正常的安装既输入命令

yum install docker


可是这样安装很有可能会出现,docker与linux版本不一致的问题。

在启动部分容器的时候,即会出现以下错误
Error response from daemon: oci runtime error: container_linux.go:235: starting container process

在这里插入图片描述

所以建议执行以下安装步骤

1、查看你当前的内核版本

uname -r

2、更新yum包

sudo yum update

3、卸载已安装的docker(如果安装过的话)

yum remove docker docker-common docker-selinux docker-engine

4、安装需要的软件包

sudo yum install -y yum-utils device-mapper-persistent-data lvm2

5、设置yum源

sudo yum-config-manager --add-repo https://download.docker.com/linux/centos/docker-ce.repo

6、可以查看所有仓库中所有docker版本,并选择特定版本安装

yum list docker-ce --showduplicates | sort -r

7、重新安装docker

sudo yum install docker-ce

8、启动docker

sudo systemctl start docker

发表评论

邮箱地址不会被公开。 必填项已用*标注